| Welcome, Guest |
You have to register before you can post on our site.
|
| Latest Threads |
How to install Android on...
Forum: General
Last Post: winpkr
6 hours ago
» Replies: 2
» Views: 3,573
|
Newbie questions
Forum: General Discussion on PineTime
Last Post: TouchuvGrey
11 hours ago
» Replies: 0
» Views: 13
|
SlateOS for PineTime
Forum: Development Discussion on PineTime
Last Post: gzuh000
08-12-2026, 06:24 PM
» Replies: 1
» Views: 113
|
Beta test Signal Desktop ...
Forum: News
Last Post: as365n4
08-11-2026, 08:57 AM
» Replies: 0
» Views: 96
|
SlateOS
Forum: General Discussion on PineTime
Last Post: highjumpman
08-10-2026, 07:17 AM
» Replies: 0
» Views: 135
|
StarPro64 Irradium (based...
Forum: Getting Started
Last Post: mara
08-09-2026, 03:30 AM
» Replies: 23
» Views: 12,947
|
Where should I post a Pin...
Forum: Getting Started
Last Post: tllim
08-08-2026, 06:56 PM
» Replies: 3
» Views: 409
|
Hacker Phone Manifesto
Forum: General
Last Post: matteorossi053
08-07-2026, 05:19 AM
» Replies: 6
» Views: 761
|
wasp-os status
Forum: General Discussion on PineTime
Last Post: cleansugar
08-07-2026, 05:15 AM
» Replies: 6
» Views: 6,587
|
Selling Pinebook Pro, Pin...
Forum: General
Last Post: arw
08-06-2026, 12:10 PM
» Replies: 2
» Views: 349
|
|
|
| Q4OS Pinebook Questions |
|
Posted by: StewB - 08-24-2017, 03:53 PM - Forum: Linux on Pine A64(+)
- No Replies
|
 |
Nice install of Q4OS to microSD and transferred to the Pinebook internal drive.
What is the proper procedure to log into Wireless? (I see 2 connections: waan0 and waan1)
Will the miniHDMI work?
Thanks, Stew
|
|
|
|
| Boot hangs on pine64, how to debug? |
|
Posted by: olh - 08-24-2017, 05:37 AM - Forum: Android on Pine A64(+)
- Replies (1)
|
 |
I have a 2GB pine64 from July 2016. It has the android-7.1-r69.img installed on a 128GB card.
Now it happend two times that boot just hangs in that aninimated logo before the "Android" text appears. This is with a stock img. How can I check what it is waiting for, or what it is missing?
Is there a way to get not only the kernel messages on serial console, but also the 'adb logcat' output, or whatever else is Android logging during boot? So far I see the filesystems are mounted, some rc scripts are executed.
Thanks.
|
|
|
|
| emmc upgrade |
|
Posted by: Erik - 08-24-2017, 02:18 AM - Forum: Pinebook Hardware and Accessories
- Replies (1)
|
 |
Hi Guys,
This morning I swapped out the 16 Gb emmc module for a bigger 64Gb one. Opening the case was easy! After rebooting from a know working SD card I simply tried to run
/usr/local/sbin/pine_install_to_emmc.sh xenial-mate I get 'You should boot from SD card' ,which I did....
Any help how to continue would be appreciated. Do I need to partition the drive first? I the emmc drive broken? (I checked it is firmly inserted...)
Erik
|
|
|
|
| OMV base on Debian jessie Root Problem |
|
Posted by: ayamy - 08-24-2017, 01:52 AM - Forum: Debian
- Replies (3)
|
 |
Hi,
I have downloaded and installed on my pine64+ the distro OMV_3_0_71_Pine64_3.10.105 based on Armbian_5.27_Pine64_Debian_jessie_default_3.10.105 .
After an update from OMV 3.0.71 to OMV 3.0.78 at the reboot the console shows "no interface available" so OMV hasn't an ip adress for the web ui. So i'm stuck in the consolle that is asking username and password.
The problem is that I don't know the username and the password for Debian_jessie and without logging in debian jessie as root I can't fix the problem with my ethernet ... could you help me ?
thanks
|
|
|
|
Rock64 usb2.0 Power Control Floating GPIO Tutorial Files & Notes |
|
Posted by: MarkHaysHarris777 - 08-24-2017, 12:10 AM - Forum: Rock64 Hardware and Accessories
- Replies (6)
|
 |
Greetings,
The purpose of this post is to document the rock64_usb_power_service.sh script , provide instructions and notes for its correct use (tutorial) , and document the installation of the script as a systemd automated service.
The problem that we are solving is that the usb2.0 power regulators are controlled by a hardware line (EN) (gpio2) which is in a floating state when the Rock64 boots. This often results in the usb2.0 ports losing power ( at least momentarily ).
The solution to this problem is to create an executable script , as well an automated service (systemd) , that will export the gpio2 line to user space ( setting it low & turning ON the power regulators ) while also allowing the system admin (user) to control the gpio2 for power cycling devices plugged into the usb2.0 port. This approach to fixing this problem is a win-win in that the usb2.0 power remains on permanently after boot-up for those who want it, and it also allows advanced users the flexibility of being able to power cycle their usb2.0 ports as designed by the Rock64 engineers ( very handy in many use cases ).
The user has complete freedom and control because the script may be run manually (as root) or it may be installed as an automated systemd service. The following tutorial will provide the codes first , then I will discuss how to use them , and finally how to install the usb_gpio_on.service in systemd. After each code section I will give instructions for 1) where to place the script, 2) what permissions to give it, 3) what ownership to give it, and finally how to run it.
The Scripts
Before beginning switch into root operating mode ( and permissions ) with sudo -i (important).
rock64_usb_power_service.sh
Code: #!/bin/bash
# rock64_usb_power_service.sh
#
# Mark H. Harris
# v0.1b
#
#
PWRON=0
PWROFF=1
GP=2
GPOUT="out"
GPPATH="/sys/class/gpio"
GPVALUE="value"
GPMODE="direction"
## remove gpio if already exported
if [ -d $GPPATH/gpio$GP ]
then
echo $GP > $GPPATH/unexport
sleep 2
fi
# export the gpio, and set if ready
echo $GP > $GPPATH/export
sleep 2
if [ -e $GPPATH/gpio$GP/$GPMODE ]
then
echo $GPOUT > $GPPATH/gpio$GP/$GPMODE
sleep 2
echo $PWRON > $GPPATH/gpio$GP/$GPVALUE
fi
The rock64_usb_power_service.sh is the executable script. Place this script in /usr/local/sbin/
Check the spelling very carefully; or things will not work when it comes time to automate the service.
set the ownership, group, and permissions:
cd /usr/local/sbin/
chown root rock64_usb_power_service.sh
chgrp root rock64_usb_power_service.sh
chmod 0754 rock64_usb_power_service.sh
To run the script manually :
sudo -i
/usr/local/sbin/rock64_usb_power_service.sh
To power cycle the usb2.0 port's 5v :
sudo -i
echo 1 > /sys/class/gpio/gpio2/value
echo 0 > /sys/class/gpio/gpio2/value
The above script exports the (EN) gpio2 mux line to user space using the sysfs method, sets the direction "out", and sets the value 0 ( pulling the line low turns ON the usb2.0 power regulators ).
usb_gpio_on.service
Code: [Unit]
Description=set the gpio2 EN line low for usb2.0 power regulator ON
[Service]
ExecStart=/usr/local/sbin/rock64_usb_power_service.sh
Type=oneshot
[Install]
WantedBy=default.target
The above usb_gpio_on.service script is called a systemd "service unit file". This file describes the service to systemd so that systemd knows how to find the executable, and further knows that the service executable only needs to be run once. Again, it is very critical that all the spelling is precise; miss spellings will result is chaos; and of course no fix.
Place this file usb_gpio_on.service in directory /etc/systemd/system/
Set the ownership, group, and permissions for this file :
cd /etc/systemd/system/
chown root usb_gpio_on.service
chgrp root usb_gpio_on.service
chmod 0664 usb_gpio_on.service
Inform systemd that a change has been made to the unit files on disk (very critical)
systemctl daemon-reload
systemctl enable usb_gpio_on.service
Congratulations! At this point the service has successfully run; the gpio2 has been exported, and the gpio2 pin has been pulled low turning on the usb2.0 power regulators.
We are now done; all that is left to do is to reboot your Rock64 !
You can check that this worked after reboot by looking in /sys/class/gpio/ for an export directory called gpio2!
At this point you may go about life on your Rock64 normally -- the usb2.0 power should not drop because the EN line is no longer floating; however, if you like you still have the option to power cycle the usb2.0 ports using the method I detailed above.
Caveat Emptor
If you want to try this tutorial follow two simple rules , or do so at your own risk. Either wait for me to post on the forum that this has been tested multiple times and is 1) safe, and 2) works; or become a beta tester ( a guinea pig ). That means that you contact me on irc and tell me you're testing and that you will be gracious to provide feedback ( including loss of time and|or hair ) so that I know who is using it so far, and whether I need to fix anything or make anything clearer.
Every effort has been made to ensure that this is accurate and free from defects; but we all know the best laid plans of mice and of programmers.
We may at some future point fix this in the dts|dtb file and place in a future image; the problem with that is that users who wish to have the advanced ability to power cycle the usb ports as designed would have to hack the dts first! So we're going to try this and see how it goes.
This method and the script which have been provided have been tested according to this tutorial on my Rock64 production test board, and everything works on my board as described in this tutorial; again, if I need to make anything more clear, or if something is broken ( I certainly hope not ) please let me know asap , preferably on irc.
Thanks much !
|
|
|
|
| H264 hardware encoder not work |
|
Posted by: sueshieh - 08-23-2017, 10:31 PM - Forum: Linux on Rock64
- Replies (3)
|
 |
We plan to use the Rock64 to create a video conference device on linux, so we need to enable RK3328 h264 encode/decode hardware acceleration.
I have tested the h264 decoding, it is ok. But for h264 encoding, it is not work. The output h264 data of mpp / mpi_enc_test program are all zero.
Has anybody tried the h264 encoding in Rock64?
Thanks
|
|
|
|
pinebook_install_to_SD.sh |
|
Posted by: MarkHaysHarris777 - 08-23-2017, 04:26 PM - Forum: General Discussion on Pinebook
- Replies (2)
|
 |
Greetings,
The purpose of this post is to make the Pine Installer script available (on the forum) for Pinebook users who want to create SD cards on their Pinebook using the SD card slot, which will allow making SD cards directly on the Pinebook from the network; this script is similar to the pin64_install_to_emm.sh , as well the rock64_install_to_SD.sh.
The script does require the curl package, as well the jq package.
( This script allows you to burn Pinebook images from the network, to the SD card while booted from eMMC )
pinebook_install_to_SD.sh
Code: #!/bin/bash
set -eo pipefail
if [[ "$(id -u)" -ne "0" ]]; then
echo "This script requires root."
exit 1
fi
echo "Pine A64/Pinebook release installer!"
echo "(C) 2017. Kamil Trzciński (https://ayufan.eu)."
echo ""
usage() {
echo "Usage:"
echo "$ $0 <system> [version]"
echo ""
echo "Systems:"
echo " - xenial-minimal (https://github.com/ayufan-pine64/linux-build/releases)"
echo " - xenial-mate (https://github.com/ayufan-pine64/linux-build/releases)"
echo " - xenial-i3 (https://github.com/ayufan-pine64/linux-build/releases)"
echo " - android-7.0 (https://github.com/ayufan-pine64/android-7.0/releases)"
echo " - android-7.1 (https://github.com/ayufan-pine64/android-7.1/releases)"
echo ""
echo "Version:"
echo " - latest will be used if version is not defined"
exit 1
}
if [[ $# -ne 1 ]] && [[ $# -ne 2 ]]; then
usage
fi
#if [[ ! -d /sys/devices/soc.0/1c10000.sdmmc/mmc_host/mmc1 ]]; then
# echo "You should boot from SD card"
# exit 1
#fi
#if [[ ! -e /dev/mmcblk1 ]]; then
# echo "You should boot from SD card"
# exit 1
#fi
case "$1" in
xenial-minimal|xenial-mate|xenial-i3)
REPO="ayufan-pine64/linux-build"
PREFIX="$1-$(cat /etc/pine64_model)-bspkernel-"
SUFFIX="-[0-9]*.img.xz"
ARCHIVER="xz -d"
;;
android-7.0|android-7.1)
REPO="ayufan-pine64/$1"
if [[ "$(cat /etc/pine64_model)" == "pinebook" ]]; then
PREFIX="$1-pine-a64-pinebook-v"
elif [[ "$(cat /etc/pine64_model)" == "sopine" ]]; then
PREFIX="$1-pine-a64-sopine-v"
else
PREFIX="$1-pine-a64-v"
fi
SUFFIX="-r[0-9]*.img.gz"
ARCHIVER="gzip -d"
;;
*)
echo "Unknown system: $1"
echo ""
usage
;;
esac
VERSION="$2"
if [[ -z "$VERSION" ]]; then
VERSION=$(curl -f -sS https://api.github.com/repos/$REPO/releases/latest | jq -r ".tag_name")
if [ -z "$VERSION" ]; then
echo "Latest release was not for $1."
echo "Please go to: https://github.com/$REPO/releases/latest"
exit 1
fi
echo "Using latest release: $VERSION from https://github.com/$REPO/releases."
fi
NAME="$PREFIX$VERSION$SUFFIX"
NAME_SAFE="${NAME//./\\.}"
VERSION_SAFE="${VERSION//./\\.}"
echo "Looking for download URL..."
DOWNLOAD_URL=$(curl -f -sS https://api.github.com/repos/$REPO/releases | \
jq -r ".[].assets | .[].browser_download_url" | \
( grep -o "https://github\.com/$REPO/releases/download/$VERSION_SAFE/$NAME_SAFE" || true))
if [[ -z "$DOWNLOAD_URL" ]]; then
echo "The download URL for $NAME not found".
echo "Look at https://github.com/$REPO/releases for correct versions."
exit 1
fi
echo "Doing this will overwrite all data stored on eMMC."
while true; do
echo "Type YES to continue or Ctrl-C to abort."
read CONFIRM
if [[ "$CONFIRM" == "YES" ]]; then
break
fi
done
echo ""
echo "Using $DOWNLOAD_URL..."
echo "Umounting..."
umount -f /dev/mmcblk1* || true
echo ""
echo "Downloading and writing to /dev/mmcblk1..."
curl -L -f "$DOWNLOAD_URL" | $ARCHIVER | dd bs=30M of=/dev/mmcblk1
sync
echo ""
echo "You may want to run now pine64_remove_boot0.sh to make the current device unbootable."
echo ""
echo "Done."
Notes:
Place the script in the normal place /usr/local/sbin/pinebook_install_to_SD.sh
make the script executable with :
sudo chmod 0775 /usr/local/sbin/pinebook_install_to_SD.sh
sudo chown root /usr/local/sbin/pinebook_install_to_SD.sh
sudo chgrp root /usr/local/sbin/pinebook_install_to_SD.sh
To run the script and get usage:
sudo /usr/local/sbin/pinebook_install_to_SD.sh
To run the script and load xenial-i3 :
sudo /usr/local/sbin/pinebook_install_to_SD.sh xenial-i3
If you do not specify a version then the script will pull the most recent (non pre release) from the repos.
( This script allows you to burn Pinebook images from the network, to the SD card while booted from eMMC )

Updated Instructions.
|
|
|
|
|